Package twisted :: Package protocols :: Module telnet

[show private | hide private]
[frames | no frames]

## Module twisted.protocols.telnet

TELNET implementation, with line-oriented command handling.

Classes
`Telnet` | I am a Protocol for handling Telnet connections.

Function Summary
| `multireplace(st, dct)`

Variable Summary
`string` | `AO`
`string` | `AYT`
`string` | `BEL`
`string` | `BOLD_MODE_OFF`
`string` | `BOLD_MODE_ON`
`string` | `BRK`
`string` | `BS`
`string` | `CR`
`string` | `DM`
`string` | `DO`
`string` | `DONT`
`string` | `EC`
`string` | `ECHO`
`string` | `EL`
`string` | `ESC`
`string` | `FF`
`string` | `GA`
`string` | `HIDE`
`string` | `HT`
`string` | `IAC`
`dictionary` | `iacBytes`
`string` | `IP`
`string` | `LF`
`string` | `LINEMODE`
`string` | `NOECHO`
`string` | `NOP`
`string` | `NULL`
`string` | `SB`
`string` | `SE`
`string` | `SUPGA`
`string` | `VT`
`string` | `WILL`
`string` | `WONT`

Variable Details

### AO

  Type:
    `string`
  Value:

        '\xf5'

### AYT

  Type:
    `string`
  Value:

        '\xf6'

### BEL

  Type:
    `string`
  Value:

        '\x07'

### BOLD_MODE_OFF

  Type:
    `string`
  Value:

        '\x1b[m'

### BOLD_MODE_ON

  Type:
    `string`
  Value:

        '\x1b[1m'

### BRK

  Type:
    `string`
  Value:

        '\xf3'

### BS

  Type:
    `string`
  Value:

        '\x08'

### CR

  Type:
    `string`
  Value:

        '\r'

### DM

  Type:
    `string`
  Value:

        '\xf2'

### DO

  Type:
    `string`
  Value:

        '\xfd'

### DONT

  Type:
    `string`
  Value:

        '\xfe'

### EC

  Type:
    `string`
  Value:

        '\xf7'

### ECHO

  Type:
    `string`
  Value:

        '\x01'

### EL

  Type:
    `string`
  Value:

        '\xf8'

### ESC

  Type:
    `string`
  Value:

        '\x1b'

### FF

  Type:
    `string`
  Value:

        '\x0c'

### GA

  Type:
    `string`
  Value:

        '\xf9'

### HIDE

  Type:
    `string`
  Value:

        '\x85'

### HT

  Type:
    `string`
  Value:

        '\t'

### IAC

  Type:
    `string`
  Value:

        '\xff'

### iacBytes

  Type:
    `dictionary`
  Value:

        {'\xfe': 'DONT', '\xf4': 'IP', '\xfc': 'WONT', '\xfd': 'DO', '\xfb': '\
        WILL'}

### IP

  Type:
    `string`
  Value:

        '\xf4'

### LF

  Type:
    `string`
  Value:

        '''
        '''

### LINEMODE

  Type:
    `string`
  Value:

        '"'

### NOECHO

  Type:
    `string`
  Value:

        '\x83'

### NOP

  Type:
    `string`
  Value:

        '\xf1'

### NULL

  Type:
    `string`
  Value:

        '\x00'

### SB

  Type:
    `string`
  Value:

        '\xfa'

### SE

  Type:
    `string`
  Value:

        '\xf0'

### SUPGA

  Type:
    `string`
  Value:

        '\x03'

### VT

  Type:
    `string`
  Value:

        '\x0b'

### WILL

  Type:
    `string`
  Value:

        '\xfb'

### WONT

  Type:
    `string`
  Value:

        '\xfc'

Generated by Epydoc 1.1 on Sat Feb 15 21:19:15 2003 | http://epydoc.sf.net